Packages - Freedom Issue #3116

[archboot-linux-firmware] Nonfree blobs
2021-10-20 08:34 AM - grizzlyuser

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
1. Open package page: https:/www.parabola.nu/packages/extra/x86_64/archboot-linux-firmware/
2. Navigate to the Upstream URL and inspect the files, for example see file
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/tree/WHENCE , and license after line "Driver: mtk-vpu -
Mediatek VPU video processing unit driver”

e expected result:
Only freely licensed files are in the repo

¢ actual result:
Many files are licensed under nonfree licenses.

History

#1 - 2022-05-01 09:12 PM - gap

Confirmed.

This package is essentially just the linux-firmware package, which is blacklisted and replaced by the linux-libre-firmware package.

As this package is therefore rendered redundant, | honestly don't know why it even exists, unless there's a very good special reason, although it's
probably either bad engineering or a historical vestige.

See also: #3259 and #2134.

#2 - 2022-05-02 12:56 AM - bill-auger

e steps to reproduce:
1. Open package page: https://www.parabola.nu/packages/extra/x86_64/archboot-linux-firmware/

can not reproduce

404 - Page Not Found

Sorry, the page you've requested does not exist.
# pacman -Sys archboot

<nothing>

this package was added to the blacklist in october 2021 - it was removed from the blacklist this week; because it no longer exists - am i missing
something?

what exactly are you confirming? - it seems to me that this ticket could have been closed 6 months ago

#3 - 2022-05-03 04:17 PM - gap

It's in the 1686 repos.
| presume it's being imported from Arch32.

Do we have a script which checks if a package no longer exists upstream in Arch/Arch32/ArchARM/Artix?

#4 - 2022-05-04 02:02 AM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress
https://www.parabola.nu/packages/extra/x86_64/archboot-linux-firmware/
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/tree/WHENCE
https://labs.parabola.nu/issues/3259
https://labs.parabola.nu/issues/2134
https://www.parabola.nu/packages/extra/x86_64/archboot-linux-firmware/

ok i see that now - arch32 lags behind arch somewhat - arch32 marked this package "(scheduled for removal)" - that means they noticed that arch
has removed it, and are planning to remove it also, as soon as it can be done while retaining system sanity - it will soon disappear from parabola
automatically

there is no urgency; because linux-libre will not load these modules

#5 - 2022-05-04 02:03 AM - bill-auger

- Status changed from in progress to fixed
